<?php

App::uses('CakeEventListener', 'Event');
App::uses('CustomEmail', 'Lib');

class EvUserPasswordResetListener implements CakeEventListener {

	public function implementedEvents() {
		return array(
			'Model.User.passwordReset' => 'sendPasswordResetEmail',
		);
	}

	public function sendPasswordResetEmail(CakeEvent $event) {
		// send the email
		$Email = new CustomEmail();

		$site = ClassRegistry::init('Site')->findCurrentSite();

		$Email->template('password_reset_email');
		$Email->to($event->data['User'][$event->data['Model']]['email']);
		$Email->from(array('no-reply@' . $site['Site']['domain'] => $site['Site']['name']));
		$Email->subject(h($site['Site']['name']) . ' Password Reset');
		$Email->viewVars(array(
			'user' => $event->data['User'],
			'code' => $event->data['code'],
			'url' => $event->data['url']
		));
		$Email->helpers(array(
			'Html',
			'InlineCss.InlineCss'
		));
		$Email->send();

		return;
	}

}
